                     Computer  Science 481/681
                        Quiz 6  -         Name ________________________

1. The OSPF routing protocol is classified as:

   a. vector distance                    b. link state

   c. nearest neighbor                   d. ink stain

2. Each OSPF routing update propogates

   a. only as far as directly            b. Throughout the entire
      attached neighbors.                   internet

   c. Among all the OSPF routers         d. Among all the Exterior
      within an AS or subarea.              Gateways of an AS.

3. Each OSPF routing update carries

   a. Information about state of the     b. Information identifying all
      links of a specific router.           of the networks that can be
                                            reached by a specific router.

   c. Information identifying every      d. All of the above.
      AS that is reachable from an
      OSPF router.

4. The computational complexity of the full OSPF algorithm (where
   N = # of participating routers is:

   a. O(1)                               b. O(N)

   c. O(Nlog(N))                         d. O(N^2)


5. Consider the network shown on the board. Assume all costs are
   bi-directional.  Draw the SPF routing tree from node C to all
   destinations.  Label each arc on the tree with the ORDER IN WHICH
   it became "marked permanent" in the SPF algorithm. (Break ties
   using a dictionary sort on the full route ... eg CE < CFA but
   CBA < CG












6. A packet is routed through an OSPF based AS:

   a. Using a source route computed    b. Using a single routing
      by the source router.               tree with the original
                                          source at the root.

   c. Using multiple routing trees     d. Using a directed acylcic
      with each router at the root        graph (DAG) computed by the
      of its own tree.                    source and distributed to
                                         all other routers.


7. OSPF routing exchanges are transported as:

   a. IP header options                b. ICMP messages

   c. IP datagrams using their         d. E-mail datagrams.
      own protocol number.


8. We said that it would be possible to arrange the core routers
   so that ALL internet routing was done using default routes.
   Identify a significant advantage and disadvantage of using
   this approach:

   adv -


   dis -



